Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface JavaMailResourceMBean

All Superinterfaces:
  EventProvider, J2EEManagedObjectMBean, J2EEResourceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean, StateManageable

All Known Implementing Classes:
  JavaMailResource

public interface JavaMailResourceMBean
extends StateManageable, J2EEResourceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.management.j2ee.StateManageable
`CREATED, DESTROYED, FAILED, REGISTERED, RUNNING, STARTING, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getconfiguration()`
`String` | `getjndiName()`
`String` | `getuserName()`
`void` | `setconfiguration(String pConfigurationElement)`
`void` | `setjndiName(String pName)`
`void` | `setpassword(String pPassword)`
`void` | `setuserName(String pName)`

Methods inherited from interface org.jboss.management.j2ee.StateManageable
`getStartTime, getState, getStateString, mejbStart, mejbStartRecursive, mejbStop`

Methods inherited from interface org.jboss.management.j2ee.EventProvider
`getEventType, getEventTypes`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getuserName

    public String getuserName()
                       throws Exception

  Throws:
    `Exception`

### setuserName

    public void setuserName(String pName)
                     throws Exception

  Throws:
    `Exception`

### setpassword

    public void setpassword(String pPassword)
                     throws Exception

  Throws:
    `Exception`

### getjndiName

    public String getjndiName()
                       throws Exception

  Throws:
    `Exception`

### setjndiName

    public void setjndiName(String pName)
                     throws Exception

  Throws:
    `Exception`

### getconfiguration

    public String getconfiguration()
                            throws Exception

  Throws:
    `Exception`

### setconfiguration

    public void setconfiguration(String pConfigurationElement)
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.